Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class GroupOperationImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.GroupOperationImpl

All Implemented Interfaces:
  Localizable, GroupOperation, Serializable

    public class GroupOperationImpl

extends WrappedProtegeInstanceImpl
implements GroupOperation

See Also:
  Serialized Form

Constructor Summary
`GroupOperationImpl(MetaProjectImpl mp, Instance goi)`

Method Summary
`void` | `addAllowedOperation(Operation operation)`
`Group` | `getAllowedGroup()`
`Set<Operation>` | `getAllowedOperations()`
`void` | `setAllowedGroup(Group group)`
`void` | `setAllowedOperations(Collection<Operation> operations)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, equals, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, hashCode, localize, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupOperationImpl

    public GroupOperationImpl(MetaProjectImpl mp,
                              Instance goi)

Method Detail

### getAllowedGroup

    public Group getAllowedGroup()

  Specified by:
    `getAllowedGroup` in interface `GroupOperation`

### getAllowedOperations

    public Set<Operation> getAllowedOperations()

  Specified by:
    `getAllowedOperations` in interface `GroupOperation`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

### addAllowedOperation

    public void addAllowedOperation(Operation operation)

  Specified by:
    `addAllowedOperation` in interface `GroupOperation`

### setAllowedOperations

    public void setAllowedOperations(Collection<Operation> operations)

  Specified by:
    `setAllowedOperations` in interface `GroupOperation`

### setAllowedGroup

    public void setAllowedGroup(Group group)

  Specified by:
    `setAllowedGroup` in interface `GroupOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.